# $Revision: 1.12 $, $Date: 2010/06/06 08:36:29 $
#
# TODO: check while tests fail (freetype expert needed)
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Font
%define		pnam	FreeType
Summary:	Font::FreeType - read font files and render glyphs from Perl using FreeType2
Summary(pl.UTF-8):	Font::FreeType - odczyt plików fontów oraz rendering znaków graficznych za pomocą FreeType2
Name:		perl-Font-FreeType
Version:	0.03
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Font/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	47b9483c92f1b2df0bbb5258a6a596b2
Patch0:		%{name}-gcc4.patch
URL:		http://search.cpan.org/dist/Font-FreeType/
BuildRequires:	freetype-devel >= 2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Perl programs to conveniently read information from
font files. All the font access is done through the FreeType2 library,
which supports many formats. It can render images of characters with
high-quality hinting and antialiasing, extract metrics information,
and extract the outlines of characters in scalable formats like
TrueType.

%description -l pl.UTF-8
Moduł ten umożliwia programom perlowym odczyt informacji z plików
fontów w wygodny sposób. Cały dostęp do fontów odbywa sie poprzez
bibliotekę FreeType2, która wspiera wiele formatów. Umożliwia
renderowanie obrazów znaków, wysokiej jakości hinting i antyaliasing,
pobieranie informacji o metryce oraz pobieranie zarysów znaków dla
formatów skalowalnych, takich jak TrueType.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/Font
%{perl_vendorarch}/Font/*.pm
%{perl_vendorarch}/Font/FreeType
%dir %{perl_vendorarch}/auto/Font
%dir %{perl_vendorarch}/auto/Font/FreeType
%attr(755,root,root) %{perl_vendorarch}/auto/Font/FreeType/*.so
%{perl_vendorarch}/auto/Font/FreeType/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Font-FreeType.spec,v $
Revision 1.12  2010/06/06 08:36:29  arekm
- release 6

Revision 1.11  2009/11/20 10:47:21  amateja
- release 5

Revision 1.10  2008/02/23 22:04:07  glen
- release 4

Revision 1.9  2008-02-10 12:10:10  arekm
- rel 3

Revision 1.8  2008-01-14 21:05:56  glen
- missing dirs; rel 2

Revision 1.7  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.6  2007-06-11 17:02:17  qboosh
- generic URL

Revision 1.5  2007/06/09 22:44:18  arekm
- rel 1

Revision 1.4  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/11/06 20:06:48  qboosh
- sorted BRs

Revision 1.1  2006/11/01 21:44:15  ankry
- new, tests fail: freetype expert needed
